Subject: Re: more info on execvp problem
From: Pavel Tsekov <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: Mon, 22 Oct 2001 17:46:09 +0200

Charles Wilson wrote:
> 
> Pavel Tsekov wrote:
> 
> > I was sure there will be a response like this - in short since as we
> > both
> > agree is posix internally (if noone messed with it) - you get this as
> > result
> > of getenv("PATH"):
> >
> > c:/jdk1.3.1/bin:/usr/local/bin:...:c:/usr/local/emacs/bin
> 
> Listen carefully: as Chris has already pointed out, that is NOT a posix
> path.  THIS is a posix path:
> 
> /cygdrive/c/jdk1.3.1/bin:/usr/local/bin:...:/cygdrive/c/usr/local/emacs/bin

Now as I see a hostility in you statement I would suggest you to fire 
you debbuger and try the little test found in my first e-mail:

I try to explain that the first "c" is not drive C:

Consider the following DOS style PATH:
C;C:;C:\WINNT\System32 for exmaple
this is  

1. C directory C in current directory
2. C: for drive C: root folder

now put this path in PATH launch the debugger and see what is 
the output of getenv 

> 
> Or, if you have mounted C:\ as /c (like I do on my boxes):
> 
> /c/jdk1.3.3/bin:/usr/local/bin:...:/c/usr/local/emacs/bin
> 
> See?  There are NO ':' characters EXCEPT the path delimiters in a POSIX
> PATH variable.
> 
> --Chuck
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/